summaryrefslogtreecommitdiff
path: root/sci-astronomy
diff options
context:
space:
mode:
Diffstat (limited to 'sci-astronomy')
-rw-r--r--sci-astronomy/calcmysky/Manifest1
-rw-r--r--sci-astronomy/calcmysky/calcmysky-0.3.4.ebuild33
-rw-r--r--sci-astronomy/kstars/Manifest1
-rw-r--r--sci-astronomy/kstars/kstars-3.7.9.ebuild103
-rw-r--r--sci-astronomy/stellarium/Manifest6
-rw-r--r--sci-astronomy/stellarium/stellarium-25.3.ebuild170
6 files changed, 280 insertions, 34 deletions
diff --git a/sci-astronomy/calcmysky/Manifest b/sci-astronomy/calcmysky/Manifest
index 024ad65dc61a..a5766921543e 100644
--- a/sci-astronomy/calcmysky/Manifest
+++ b/sci-astronomy/calcmysky/Manifest
@@ -1,2 +1 @@
-DIST calcmysky-0.3.4.tar.gz 2167252 BLAKE2B 4b16eb5afc770095bb9a254d6a1de4c9320e89436363296651345195e4240867a62f9d53854aa03c6f8666d4015cc7349d3b8db37d3e0bee0c9306640156dd6b SHA512 0ec6aec3e4d1227ac0afbc8dbd27bab206b3557e27bb3a3921795cff7e2a16d4e101afd01fd86eec608abcd46710e1b63e6324fb2e2efb2a30fd97cccc2dcca6
DIST calcmysky-0.3.5.tar.gz 2167194 BLAKE2B 0ef5365531eb131e8d796d01f301fc5fe0fe4a6377264a14af6a3714bd253369706c08caeb0f5007db58e4d57d3d4790690de5d5edc7c768cd59926a39a563d3 SHA512 7ffd42436063c5463ed5207f9fc9191dda5590fb547f2bead9f3a07096714fe5c4257d3091d481d40fa32fa65164a2503aec17e73b8145ac235f506b73c1c100
diff --git a/sci-astronomy/calcmysky/calcmysky-0.3.4.ebuild b/sci-astronomy/calcmysky/calcmysky-0.3.4.ebuild
deleted file mode 100644
index a0424fbbe4ec..000000000000
--- a/sci-astronomy/calcmysky/calcmysky-0.3.4.ebuild
+++ /dev/null
@@ -1,33 +0,0 @@
-# Copyright 2022-2025 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit cmake
-
-DESCRIPTION="Simulator of light scattering by planetary atmospheres"
-HOMEPAGE="https://github.com/10110111/CalcMySky"
-SRC_URI="
- https://github.com/10110111/CalcMySky/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz
-"
-S="${WORKDIR}/CalcMySky-${PV}"
-
-LICENSE="GPL-3"
-# subslot is soversion
-SLOT="0/15"
-KEYWORDS="amd64 ~ppc ~riscv ~x86"
-
-DEPEND="
- dev-cpp/eigen:3
- dev-qt/qtbase:6[gui,opengl,widgets,-gles2-only]
- media-libs/glm
-"
-RDEPEND="${DEPEND}"
-
-src_configure() {
- local mycmakeargs=(
- -DQT_VERSION=6
- )
-
- cmake_src_configure
-}
diff --git a/sci-astronomy/kstars/Manifest b/sci-astronomy/kstars/Manifest
index f913c4f46428..28bcb5f6732a 100644
--- a/sci-astronomy/kstars/Manifest
+++ b/sci-astronomy/kstars/Manifest
@@ -1,2 +1,3 @@
DIST kstars-3.7.5.tar.xz 163498784 BLAKE2B f8b8c0246ab3c6dccec4a6af2039f4ef80e71d4ac43eebad869123494f6418dc36a5e1a8044c49e8e58a07267d58daaee589850b0800b9843bfdd3411bedb286 SHA512 988a5e0221b283bb9d0bb0c24d8e7fa91f9618e1cb9a764cec823217349c17bb0c7bc70213e16d2d021bb2bf6d21488c1daacb30f26e4f6f60b012fa05afd257
DIST kstars-3.7.8.tar.xz 50942300 BLAKE2B c41132a7b7bcc093bad630ff2787e821ecabab0c1e6b6202a976e8cd0affc7a12996738fdd042aa5fec38d31575717abc2d7ebef9b6c64f5940166054ad3f8b6 SHA512 1ae1ae02572b832a8b3a45785c353147333baa811c280b132c0597a3ad8dec8a7cfa26458587a4fc7c81847b29c93f2375cc9ce35c4b613583bfdee70727c460
+DIST kstars-3.7.9.tar.xz 51113076 BLAKE2B 1cbdec01a9c4b7d0ab06afa4c7310d99154a5c86270b63e4a06cb499a749cf83a9d1b0e87d07247935eec52f0fcd0173400857bd5917b245e004300c4d3a49f4 SHA512 4e28a5f150880dc193c2512afef2bc73220f693e8eceb19047cae7475d8e9640e09e1578ec4076d025ef56597387efd6a6b2ea7dc31f883c2a0ff063391a75c0
diff --git a/sci-astronomy/kstars/kstars-3.7.9.ebuild b/sci-astronomy/kstars/kstars-3.7.9.ebuild
new file mode 100644
index 000000000000..41c425f0952a
--- /dev/null
+++ b/sci-astronomy/kstars/kstars-3.7.9.ebuild
@@ -0,0 +1,103 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ECM_TEST="true"
+KFMIN=6.9.0
+QTMIN=6.8.1
+inherit ecm kde.org optfeature xdg
+
+DESCRIPTION="Desktop Planetarium"
+HOMEPAGE="https://apps.kde.org/kstars/ https://kstars.kde.org/"
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ SRC_URI="mirror://kde/stable/${PN}/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2+ GPL-3+"
+SLOT="0"
+IUSE="opencv +password raw"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+# https://wiki.gentoo.org/wiki/Project:Qt/Qt6_migration_notes#Still_unpackaged
+# >=dev-qt/qtdatavis3d-${QTMIN}:6
+COMMON_DEPEND="
+ >=dev-qt/qtbase-${QTMIN}:6[dbus,gui,network,sql,widgets]
+ >=dev-qt/qtdeclarative-${QTMIN}:6
+ >=dev-qt/qtsvg-${QTMIN}:6
+ >=dev-qt/qtwebsockets-${QTMIN}:6
+ >=kde-frameworks/kconfig-${KFMIN}:6
+ >=kde-frameworks/kconfigwidgets-${KFMIN}:6
+ >=kde-frameworks/kcoreaddons-${KFMIN}:6
+ >=kde-frameworks/kcrash-${KFMIN}:6
+ >=kde-frameworks/ki18n-${KFMIN}:6
+ >=kde-frameworks/kio-${KFMIN}:6
+ >=kde-frameworks/knewstuff-${KFMIN}:6
+ >=kde-frameworks/knotifications-${KFMIN}:6
+ >=kde-frameworks/knotifyconfig-${KFMIN}:6
+ >=kde-frameworks/kplotting-${KFMIN}:6
+ >=kde-frameworks/kwidgetsaddons-${KFMIN}:6
+ >=kde-frameworks/kxmlgui-${KFMIN}:6
+ sci-astronomy/wcslib:=
+ sci-libs/cfitsio:=
+ sci-libs/gsl:=
+ >=sci-libs/indilib-2.0.2
+ sci-libs/libnova:=
+ >=sci-libs/stellarsolver-2.7
+ sys-libs/zlib
+ opencv? ( media-libs/opencv:=[ffmpeg] )
+ password? ( >=dev-libs/qtkeychain-0.14.2:=[qt6(+)] )
+ raw? ( media-libs/libraw:= )
+"
+# TODO: what about virtual/opengl?
+DEPEND="${COMMON_DEPEND}
+ dev-cpp/eigen:3
+ >=dev-qt/qtbase-${QTMIN}:6[concurrent]
+ test? ( sci-astronomy/erfa )
+"
+RDEPEND="${COMMON_DEPEND}
+ !${CATEGORY}/${PN}:5
+ >=dev-qt/qt5compat-${QTMIN}:6[qml]
+ >=dev-qt/qtpositioning-${QTMIN}:6
+"
+
+CMAKE_SKIP_TESTS=(
+ # bug 842768, test declared unstable by upstream
+ TestKSPaths
+ # bugs 923871, 939788
+ TestPlaceholderPath # ki18n (KLocalizedString) failure
+ # all fail with offscreen plugin
+ TestEkos{Capture,FilterWheel,Focus,Mount,Scheduler{,Ops},Simulator}
+)
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-3.7.4-cmake.patch # bug 895892, downstream patch
+)
+
+src_configure() {
+ local mycmakeargs=(
+ -DBUILD_PYKSTARS=OFF
+ -DCMAKE_DISABLE_FIND_PACKAGE_LibXISF=ON # not packaged
+ -DBUILD_WITH_QT6=ON # KF6 please
+ -DENABLE_SENTRY=OFF
+ $(cmake_use_find_package opencv OpenCV)
+ $(cmake_use_find_package password Qt6Keychain)
+ $(cmake_use_find_package raw LibRaw)
+ )
+
+ ecm_src_configure
+}
+
+src_test() {
+ LC_NUMERIC="C" LC_TIME="C" TZ=UTC ecm_src_test
+}
+
+pkg_postinst() {
+ if [[ -z "${REPLACING_VERSIONS}" ]]; then
+ optfeature "Display 'current' pictures of planets" x11-misc/xplanet
+ fi
+ xdg_pkg_postinst
+}
diff --git a/sci-astronomy/stellarium/Manifest b/sci-astronomy/stellarium/Manifest
index fb5b02f46397..5d5f690617e9 100644
--- a/sci-astronomy/stellarium/Manifest
+++ b/sci-astronomy/stellarium/Manifest
@@ -12,9 +12,15 @@ DIST stellarium-25.1.tar.xz 371392288 BLAKE2B 4edaca0e61756bb4c4f835f8b2878e299c
DIST stellarium-25.1.tar.xz.asc 313 BLAKE2B 8a2a0dc5acbe9e8afa2004896f8e6b1fb752a81d147ba85d55e37ce5b6404686e6d623c934de15d394e2fe132e0343cb5b36cd1b5bbd449d9ac1e59870d7f7e3 SHA512 a9af17ce957e8a91017c6114094b0cc862737255102ba97d42e5c218cb16404839e674e59d2716943dc1e02cddf6dce78dad6ce988e2dd0b46ac88f4f6d245c7
DIST stellarium-25.2.tar.xz 374328780 BLAKE2B 114af0c71f8580cec102474034b69a208f0a0ea850252f6045596a3a3e30fc273bc556172cf0834d138384775b0fa88f73cd95cfea87c36294cd6c532aae4e4a SHA512 291bebc9b698fa900cfad80cdd6a65727cecd9507d1c52db03cf57a06ba501384575d4a9a82ab5057662be407dd2e674e9f89f1a7bba6dc6b84d4fcefac9f47a
DIST stellarium-25.2.tar.xz.asc 313 BLAKE2B 002f551275d61711fa091f35157fa69bddd29294faf3d06f22a7aafb2f6c1a8be82942a7794da15a9698c8b5092ce8775d8e181beb8daf1c97fed2d0683fdd29 SHA512 d32926a18d66143d50b318ed0c2fd52a62b8aee42a16d4009d14f328ffe8b9a7d5d597d1a04ddf518fc04324320bc27c24459ae8e29ac5727aa01dd64a96a9da
+DIST stellarium-25.3.tar.xz 388192032 BLAKE2B f2760913046e9f7e1956dbfb0a767e933122b5e5a23a8c085154c44d93e1557dea9743d9c7fe7490d615153c0a236c552ea0d59e49bce75609bb24d4622b7d01 SHA512 bded792f4c91d82155c9c94bca8379cd74ec2a240ca31e4f11d8437cd807d24f8ba0f7e72ef10223ef077bafa041dfef93cc29087ff701d4d463578f1fb5f2cb
+DIST stellarium-25.3.tar.xz.asc 313 BLAKE2B e24a086efed59d2bd227e9ecaa0ad78a3a0a9f60f80e738412f4ea8099ae3340248694879de404a8d67af4598fc15452129af5594c4cd33074e5a5fb428235ce SHA512 206addbe2670ef95c9aff29fc9e442a9583077a94e3d9fd002f4f86fcbbfa1501ce1fd1b20ec5465207e75129df8dab774e7bb98731f7a4587051be8a20398a4
DIST stellarium-dso-catalog-3.20.dat 28678745 BLAKE2B 24ddf76e81e91424cced5df74dd164d17a45fed2b65c1dc1e7065371c18a796350a1e1aab2da5860376eb90eac07e7c836ffdbb324a0d3eda6c91e8ce1c4ab3a SHA512 c84832bbf56d1097db3ff8fa8f3faadac1470a9f79d9ee759493915a48754dc86174551b5e705786f29331991bee57daa4cab6d7ecc2e4e00a2f895823ccfd87
DIST stellarium-dso-catalog-3.20.dat.asc 313 BLAKE2B a7d9a1977ff4e1b21a80239d85ad5123ad03c2dcd57422cec7c2585eddb1004bbfc2b29a934653bc36c438981218811d21ade7380ae49278ef2c4f387ab762e5 SHA512 e8a7b10bb157d15b550a31646c8d8ce9933a77f748900a9c75f0c78b9b9205ce5e4e2ec18248ba786aacd5fbf36da00bbaf578b8b011c75351a9237568e62f1b
+DIST stellarium-dso-catalog-3.21.dat 28678662 BLAKE2B 62adf4e72f52e02a52fa51e0b564d12c301cf88f29b0f1c45fc1feb6d131709c18a32810ac8dc9c83f6438cf4bb57c2988ed2811974cf6a0e5593261a1da5388 SHA512 e9d3bc1162c79957b85924f828fbc58cf500fef6b843c3387be02c67b554be008d1640c2bf737e5dd3c9afb58a4cf26d02f4961846cb2c288045e16984f4ceca
+DIST stellarium-dso-catalog-3.21.dat.asc 313 BLAKE2B f06f9d8821bc27ce71b42f9473542e104196b30d3c951a2dbfe2d5c52839b430ef6939953cb68bed614f925f503fbc59490f861c5e2876a82f62ddb23dbf0806 SHA512 ccbd10df0a494e7c150b9817c39d2e7d3413429a988c0600a8d1ee3075764b7020c8f6c09c931ddf4e820179da95260c74409c50dcbd0f568eda217c517a016b
DIST stellarium_user_guide-25.1-1.pdf 14438330 BLAKE2B fa7d53aec3a0c0ff2e941b9846eb726d9e895284139dffaa5242fd0f8c657ecfeb44446e4f3a5b145fd643b32b43bd28e21910b1f2d94a002f22661b96665019 SHA512 0c24e1710c58180352119b45e98dc1c1fdf11ceab1ddfa815c8659b615ccbaa4eb8a937f955cfc70a835307c3fa25037be502091c8dfa6fd89a22c2b72a13107
DIST stellarium_user_guide-25.1-1.pdf.asc 313 BLAKE2B 67a4f96966af10f1c0bcf96be521933cf8ba52707d7992d857b2dc863c232a4a752e11af47680fc4bb6df93913a3cac09fe03ef7cbe2ee560395071254ea7fd5 SHA512 b3fb4f21f750ca2ad0ad3b845212a55d6a04468e4127ffaa541bac60e67c0e0cbc1f213128522afd3b8da26137db68db7c0670bba25b59e9cc3b9aae43fe6513
DIST stellarium_user_guide-25.2-1.pdf 14702921 BLAKE2B 47a327605502c98e13c459ad07e58ee4df21bc575098077019cfb552b5b28e6e5884752eab1f61cb572892360e6111b774a5835be491ab8596f62953bb4ff228 SHA512 1f97085c819b2e2f0eea254d450436c6b681daa243037b5ce03b2984ffcad70249c1445e1c014b1105e66b6b7abf843a94341efa68b3ec34c7fdf70e9daf322a
DIST stellarium_user_guide-25.2-1.pdf.asc 313 BLAKE2B a36c84e10ec752091ff8845591490bf291c104d2a348b70871284b9c8c358a4035991ab387eb0780e738b7a332910793ca0e90353b9b6c2dbdd334ca4a1b0614 SHA512 0508c0648c479c1e299c40599dc33c1ba6e0a7357ad5038c8a29b6c855455a50c79508e38e7bf17aeb1757b0a76abe1c33a07c93ed9886297fe629b7391d6d62
+DIST stellarium_user_guide-25.3-1.pdf 14716840 BLAKE2B 3aaa9070b0d36d875b237d7860534ec4d2027595fa4105ad80e8726bb53e8ee2bcd018f959a1b1c70282d9c41afaad1451a7238bf72a358275573e42d9be8cb1 SHA512 675415ac3a233e1af8b54d158dfa5eafe90494a70f3151b214fc2ed7c54c94ef8cd3516567e394cdf0e7abff8aa457797cd7debbbc89bbc89f110fa16916e39e
+DIST stellarium_user_guide-25.3-1.pdf.asc 313 BLAKE2B 2a9e1196abe31ab30b14a86e16c9906fb3570257260b4f341249cfac2d265be724ee14f8f66d1990ea8fbd7ec4644e81a0fff9b5ce1a0536ed7f269c423b81cf SHA512 b47a336360f529b55e202090b3941cebdc07766bb000d9e09f4cd4068a320940ae5cfdcbe6dac60ce2e05cbf85c84a7b4d4704e93e5fe85ccf93f8ae07a6225d
diff --git a/sci-astronomy/stellarium/stellarium-25.3.ebuild b/sci-astronomy/stellarium/stellarium-25.3.ebuild
new file mode 100644
index 000000000000..05e43957f581
--- /dev/null
+++ b/sci-astronomy/stellarium/stellarium-25.3.ebuild
@@ -0,0 +1,170 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{9,10,11,12,13} )
+inherit cmake desktop flag-o-matic python-any-r1 toolchain-funcs xdg verify-sig virtualx
+
+DESCRIPTION="3D photo-realistic skies in real time"
+HOMEPAGE="https://stellarium.org/ https://github.com/Stellarium/stellarium"
+MY_DSO_VERSION="3.21"
+SRC_URI="
+ https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.xz
+ verify-sig? ( https://github.com/Stellarium/stellarium/releases/download/v${PV}/${P}.tar.xz.asc )
+ deep-sky? (
+ https://github.com/Stellarium/stellarium-data/releases/download/dso-${MY_DSO_VERSION}/catalog-${MY_DSO_VERSION}.dat -> ${PN}-dso-catalog-${MY_DSO_VERSION}.dat
+ verify-sig? ( https://github.com/Stellarium/stellarium-data/releases/download/dso-${MY_DSO_VERSION}/catalog-${MY_DSO_VERSION}.dat.asc -> ${PN}-dso-catalog-${MY_DSO_VERSION}.dat.asc )
+ )
+ doc? (
+ https://github.com/Stellarium/stellarium/releases/download/v${PV}/stellarium_user_guide-${PV}-1.pdf
+ verify-sig? ( https://github.com/Stellarium/stellarium/releases/download/v${PV}/stellarium_user_guide-${PV}-1.pdf.asc )
+ )
+ stars? (
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_4_1v0_6.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_5_1v0_6.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_6_1v0_4.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_7_1v0_4.cat
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_8_2v0_3.cat
+ verify-sig? (
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_4_1v0_6.cat.asc
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_5_1v0_6.cat.asc
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_6_1v0_4.cat.asc
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_7_1v0_4.cat.asc
+ https://github.com/Stellarium/stellarium-data/releases/download/stars-3.0/stars_8_2v0_3.cat.asc
+ )
+ )"
+
+LICENSE="GPL-2+ SGI-B-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~riscv ~x86"
+IUSE="debug deep-sky doc gps +lens-distortion libcxx media nls +scripting +show-my-sky stars telescope test webengine +xlsx"
+
+# Python interpreter is used while building RemoteControl plugin
+BDEPEND="
+ ${PYTHON_DEPS}
+ dev-lang/perl
+ doc? ( app-text/doxygen[dot] )
+ nls? ( dev-qt/qttools:6[linguist] )
+ verify-sig? ( sec-keys/openpgp-keys-stellarium )
+"
+# TODO: review need for dev-cpp/tbb after several releases of gcc and clang
+RDEPEND="
+ dev-cpp/tbb:=
+ dev-libs/md4c
+ dev-qt/qtbase:6=[concurrent,gui,network,widgets]
+ dev-qt/qtcharts:6
+ dev-qt/qtpositioning:6
+ media-fonts/dejavu
+ >=sci-astronomy/calcmysky-0.3.5:=
+ sys-libs/zlib
+ gps? (
+ dev-qt/qtserialport:6
+ sci-geosciences/gpsd:=[cxx]
+ )
+ lens-distortion? (
+ media-gfx/exiv2:=
+ sci-libs/nlopt
+ )
+ media? (
+ dev-qt/qtmultimedia:6[gstreamer]
+ virtual/opengl
+ )
+ scripting? ( dev-qt/qtdeclarative:6 )
+ telescope? (
+ dev-qt/qtserialport:6
+ sci-libs/indilib:=
+ )
+ webengine? ( dev-qt/qtwebengine:6[widgets] )
+ xlsx? ( >=dev-libs/qxlsx-1.5.0:= )
+"
+DEPEND="${RDEPEND}
+ libcxx? ( dev-cpp/fast_float )
+"
+
+RESTRICT="!test? ( test )"
+
+VERIFY_SIG_OPENPGP_KEY_PATH=/usr/share/openpgp-keys/stellarium.asc
+
+pkg_setup() {
+ if tc-is-clang && ! use libcxx && [[ $(tc-get-cxx-stdlib) == libc++ ]]; then
+ die "When using libc++, please enable USE=libcxx"
+ fi
+}
+
+src_prepare() {
+ cmake_src_prepare
+ use debug || append-cppflags -DQT_NO_DEBUG #415769
+
+ rm -r src/external/qtcompress/ || die
+ rm -r src/external/zlib/ || die
+ rm -r src/external/fake-indi/ || die
+
+ # for glues_stel aka libtess I couldn't find an upstream with the same API
+
+ local remaining="$(cd src/external/ && echo */)"
+ if [[ "${remaining}" != "glues_stel/" ]]; then
+ eqawarn "Need to unbundle more deps: ${remaining}"
+ fi
+}
+
+src_configure() {
+ filter-lto # https://bugs.gentoo.org/862249
+
+ local mycmakeargs=(
+ -DCCACHE_PROGRAM=no
+ -DCPM_LOCAL_PACKAGES_ONLY=yes
+ -DUSE_BUNDLED_QTCOMPRESS=no
+ -DENABLE_CCACHE=no
+ -DENABLE_GPS="$(usex gps)"
+ -DENABLE_MEDIA="$(usex media)"
+ -DENABLE_NLS="$(usex nls)"
+ -DENABLE_QT6=yes
+ -DENABLE_QTWEBENGINE="$(usex webengine)"
+ -DENABLE_SHOWMYSKY=$(usex show-my-sky)
+ -DENABLE_SCRIPTING=$(usex scripting)
+ -DENABLE_TESTING="$(usex test)"
+ -DENABLE_XLSX="$(usex xlsx)"
+ -DUSE_PLUGIN_LENSDISTORTIONESTIMATOR="$(usex lens-distortion)"
+ -DUSE_PLUGIN_TELESCOPECONTROL="$(usex telescope)"
+ "$(cmake_use_find_package doc Doxygen)"
+ )
+ cmake_src_configure
+}
+
+src_test() {
+ virtx cmake_src_test
+}
+
+src_compile() {
+ cmake_src_compile
+
+ if use doc ; then
+ cmake_build apidoc
+ fi
+}
+
+src_install() {
+ if use doc ; then
+ local HTML_DOCS=( "${BUILD_DIR}/doc/html/." )
+ dodoc "${DISTDIR}/stellarium_user_guide-${PV}-1.pdf"
+ fi
+ cmake_src_install
+
+ # use the more up-to-date system fonts
+ rm "${ED}"/usr/share/stellarium/data/DejaVuSans{Mono,}.ttf || die
+ dosym ../../fonts/dejavu/DejaVuSans.ttf /usr/share/stellarium/data/DejaVuSans.ttf
+ dosym ../../fonts/dejavu/DejaVuSansMono.ttf /usr/share/stellarium/data/DejaVuSansMono.ttf
+
+ if use stars ; then
+ insinto /usr/share/${PN}/stars/hip_gaia3
+ doins "${DISTDIR}"/stars_{4,5}_1v0_6.cat
+ doins "${DISTDIR}"/stars_{6,7}_1v0_4.cat
+ doins "${DISTDIR}"/stars_8_2v0_3.cat
+ fi
+ if use deep-sky ; then
+ insinto /usr/share/${PN}/nebulae/default
+ newins "${DISTDIR}/${PN}-dso-catalog-${MY_DSO_VERSION}.dat" catalog.dat
+ fi
+ newicon doc/images/stellarium-logo.png ${PN}.png
+}